## sql_info

### Use

You display the structure of the result set of an SQL statement.

The names of all columns are displayed. These are separated by semicolons.

See also:

Concepts of the Database System, SQL

### Prerequisites

You have the server authorization AccessSQL.

### Syntax

sql_info <statement>

<statement> | SQL Statement

### Reply

OK

<col_name>;<col_name>;...;<col_name>

<col_name> | Name of column

### Example

Log on to the Database Manager CLI as operator OLEG with password MONDAY, connect to the DEMODB database instance, display the structure of the result set for the SELECT statement used to display the content of the table users:

>dbmcli -u OLEG,MONDAY - d DEMODB sql_info SELECT * FROM users

OK

OWNER;GROUPNAME;USERNAME;USERMODE;CONNECTMODE;MAXTIMEOUT;COSTWARNING;
COSTLIMIT;DEFAULTCODE;CREATEDATE;CREATETIME;ALTERDATE;ALTERTIME;PWCREADATE;PWCREATIME;SERVERDB;SERVERNODE;USER_ID;ISREPLICATIONUSER;COMMENT